Subject: [PATCH 1/2] man/send(2): add EPERM to the list of possible errors

From: Fernando Luis Vázquez Cao <[email-masked]>
Date: Tue, 19 Mar 2013 15:45:13 +0900

Subject: [PATCH 1/2] man/send(2): add EPERM to the list of possible errors

System policy (for example netfilter rule) can cause a send* operation
to fail with EPERM.

Reported-by: Hirotaka Sasaki <[email-masked]>
Signed-off-by: Fernando Luis Vazquez Cao <[email-masked]>
---

diff -urNp man-pages-3.50-orig/man2/send.2 man-pages-3.50/man2/send.2
--- man-pages-3.50-orig/man2/send.2	2013-03-15 16:17:32.000000000 +0900
+++ man-pages-3.50/man2/send.2	2013-03-19 15:17:03.616008275 +0900
@@ -357,6 +357,10 @@ Some bit in the
 .I flags
 argument is inappropriate for the socket type.
 .TP
+.B EPERM
+System policy (for example a netfilter rule) does not permit the requested
+operation.
+.TP
 .B EPIPE
 The local end has been shut down on a connection oriented socket.
 In this case the process

--
To unsubscribe from this list: send the line "unsubscribe linux-man" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html